Your submission was sent successfully! Close

CVE-2017-5618

Published: 20 March 2017

GNU screen before 4.5.1 allows local users to modify arbitrary files and consequently gain root privileges by leveraging improper checking of logfile permissions.

Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
screen
Launchpad, Ubuntu, Debian
precise Not vulnerable

trusty Not vulnerable

upstream
Released (4.5.0-3)
xenial Not vulnerable

yakkety Not vulnerable

Notes

AuthorNote
seth-arnold
introduced via the following patches:
http://git.savannah.gnu.org/cgit/screen.git/commit/?id=c575c40c9bd7653470639da32e06faed0a9b2ec4
http://git.savannah.gnu.org/cgit/screen.git/commit/?h=screen-v4&id=5460f5d28c01a9a58e021eb1dffef2965e629d58

References